# Interface IFieldOption

The `IFieldOption` interface declares a type for options that should contain a field to be used in a query.

The only constraint this type has over a basic string is that it should start with the `@` character.

## Index

### Methods

- charAt
- charCodeAt
- concat
- indexOf
- lastIndexOf
- localeCompare
- match
- replace
- search
- slice
- split
- substr
- substring
- toLocaleLowerCase
- toLocaleUpperCase
- toLowerCase
- toString
- toUpperCase
- trim
- trimLeft
- trimRight
- valueOf

### Properties

- String
- length

## Methods

### charAt

- charAt(pos: number): string

- Inherited from String.charAt

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:322

  Returns the character at the specified index.

  #### Parameters

  - ##### pos: number

    The zero-based index of the desired character.

  #### Returns string

### charCodeAt

- charCodeAt(index: number): number

- Inherited from String.charCodeAt

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:328

  Returns the Unicode value of the character at the specified location.

  #### Parameters

  - ##### index: number

    The zero-based index of the desired character. If there is no character at the specified index, NaN is returned.

  #### Returns number

### concat

- concat(...strings: string[]): string

- Inherited from String.concat

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:334

  Returns a string that contains the concatenation of two or more strings.

  #### Parameters

  - ##### Rest ...strings: string[]

    The strings to append to the end of the string.

  #### Returns string

### indexOf

- indexOf(searchString: string, position?: number): number

- Inherited from String.indexOf

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:341

  Returns the position of the first occurrence of a substring.

  #### Parameters

  - ##### searchString: string

    The substring to search for in the string

  - ##### Optional position: number

    The index at which to begin searching the String object. If omitted, search starts at the beginning of the string.

  #### Returns number

### lastIndexOf

- lastIndexOf(searchString: string, position?: number): number

- Inherited from String.lastIndexOf

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:348

  Returns the last occurrence of a substring in the string.

  #### Parameters

  - ##### searchString: string

    The substring to search for.

  - ##### Optional position: number

    The index at which to begin searching. If omitted, the search begins at the end of the string.

  #### Returns number

### localeCompare

- localeCompare(that: string): number

- Inherited from String.localeCompare

  Overwrites String.localeCompare

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:354

  Determines whether two strings are equivalent in the current locale.

  #### Parameters

  - ##### that: string

    String to compare to target string

  #### Returns number

### match

- match(regexp: string | RegExp): RegExpMatchArray | null

- Inherited from String.match

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:360

  Matches a string with a regular expression, and returns an array containing the results of that search.

  #### Parameters

  - ##### regexp: string | RegExp

    A variable name or string literal containing the regular expression pattern and flags.

  #### Returns RegExpMatchArray | null

### replace

- replace(searchValue: string | RegExp, replaceValue: string): string
- replace(searchValue: string | RegExp, replacer: function): string

- Inherited from String.replace

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:367

  Replaces text in a string, using a regular expression or search string.

  #### Parameters

  - ##### searchValue: string | RegExp

    A string to search for.

  - ##### replaceValue: string

    A string containing the text to replace for every successful match of searchValue in this string.

  #### Returns string

- Inherited from String.replace

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:374

  Replaces text in a string, using a regular expression or search string.

  #### Parameters

  - ##### searchValue: string | RegExp

    A string to search for.

  - ##### replacer: function

    A function that returns the replacement text.

    - - (substring: string, ...args: any[]): string

      - #### Parameters

        - ##### substring: string

        - ##### Rest ...args: any[]

        #### Returns string

### search

- search(regexp: string | RegExp): number

- Inherited from String.search

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:380

  Finds the first substring match in a regular expression search.

  #### Parameters

  - ##### regexp: string | RegExp

    The regular expression pattern and applicable flags.

  #### Returns number

### slice

- slice(start?: number, end?: number): string

- Inherited from String.slice

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:388

  Returns a section of a string.

  #### Parameters

  - ##### Optional start: number

    The index to the beginning of the specified portion of stringObj.

  - ##### Optional end: number

    The index to the end of the specified portion of stringObj. The substring includes the characters up to, but not including, the character indicated by end. If this value is not specified, the substring continues to the end of stringObj.

  #### Returns string

### split

- split(separator: string | RegExp, limit?: number): string[]

- Inherited from String.split

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:395

  Split a string into substrings using the specified separator and return them as an array.

  #### Parameters

  - ##### separator: string | RegExp

    A string that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned.

  - ##### Optional limit: number

    A value used to limit the number of elements returned in the array.

  #### Returns string[]

### substr

- substr(from: number, length?: number): string

- Inherited from String.substr

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:429

  Gets a substring beginning at the specified location and having the specified length.

  #### Parameters

  - ##### from: number

    The starting position of the desired substring. The index of the first character in the string is zero.

  - ##### Optional length: number

    The number of characters to include in the returned substring.

  #### Returns string

### substring

- substring(start: number, end?: number): string

- Inherited from String.substring

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:403

  Returns the substring at the specified location within a String object.

  #### Parameters

  - ##### start: number

    The zero-based index number indicating the beginning of the substring.

  - ##### Optional end: number

    Zero-based index number indicating the end of the substring. The substring includes the characters up to, but not including, the character indicated by end. If end is omitted, the characters from start through the end of the original string are returned.

  #### Returns string

### toLocaleLowerCase

- toLocaleLowerCase(): string

- Inherited from String.toLocaleLowerCase

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:409

  Converts all alphabetic characters to lowercase, taking into account the host environment's current locale.

  #### Returns string

### toLocaleUpperCase

- toLocaleUpperCase(): string

- Inherited from String.toLocaleUpperCase

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:415

  Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment's current locale.

  #### Returns string

### toLowerCase

- toLowerCase(): string

- Inherited from String.toLowerCase

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:406

  Converts all the alphabetic characters in a string to lowercase.

  #### Returns string

### toString

- toString(): string

- Inherited from String.toString

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:316

  Returns a string representation of a string.

  #### Returns string

### toUpperCase

- toUpperCase(): string

- Inherited from String.toUpperCase

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:412

  Converts all the alphabetic characters in a string to uppercase.

  #### Returns string

### trim

- trim(): string

- Inherited from String.trim

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:418

  Removes the leading and trailing white space and line terminator characters from a string.

  #### Returns string

### trimLeft

- trimLeft(): string

- Inherited from String.trimLeft

  - Defined in node_modules/@types/node/index.d.ts:179

  Removes whitespace from the left end of a string.

  #### Returns string

### trimRight

- trimRight(): string

- Inherited from String.trimRight

  - Defined in node_modules/@types/node/index.d.ts:181

  Removes whitespace from the right end of a string.

  #### Returns string

### valueOf

- valueOf(): string

- Inherited from String.valueOf

  - Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:432

  Returns the primitive value of the specified object.

  #### Returns string

## Properties

### String

String: StringConstructor

- Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:447

Allows manipulation and formatting of text strings and determination and location of substrings within strings.

### length

length: number

Inherited from String.length

- Defined in /home/jenkins/slaves/workspace/search-ui-github_v2.10119.0/node_modules/typedoc/node_modules/typescript/lib/lib.d.ts:421

Returns the length of a String object.

### Hierarchy

- String

### Indexable

[index: number]: string

The `IFieldOption` interface declares a type for options that should contain a field to be used in a query.

The only constraint this type has over a basic string is that it should start with the `@` character.